name: Deploy

on: [push]
jobs:
  deploy:
    runs-on: docker
    steps:
      - uses: actions/checkout@v4
        with:
          submodules: true
          fetch-depth: 0

      - name: Setup Hugo
        run : |
          curl -L -o hugo_0.140.0_linux-amd64.tar.gz https://github.com/gohugoio/hugo/releases/download/v0.140.0/hugo_0.140.0_linux-amd64.tar.gz
          tar zxvf hugo_0.140.0_linux-amd64.tar.gz

      - name: Build
        run: ./hugo

      - uses: actions/upload-artifact@v3
      with:
        name: website
        path: public/
